# studio::Dock_Curves Class Reference

`#include <dock_curves.h>`

Inheritance diagram for studio::Dock_Curves:

List of all members.

## Public Member Functions

| Dock_Curves ()
| ~Dock_Curves ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
void | refresh_selected_param ()

## Constructor & Destructor Documentation

Dock_Curves::Dock_Curves | ( |  | ) |

Dock_Curves::~Dock_Curves | ( |  | ) |

## Member Function Documentation

void Dock_Curves::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References _curve_selection_changed(), studio::Dockable::get_name(), and studio::Widget_Curves::set_time_adjustment().

void Dock_Curves::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::get_name(), studio::Widget_Curves::get_range_adjustment(), studio::Widget_Timeslider::set_bounds_adjustment(), studio::Widget_Timeslider::set_global_fps(), and studio::Widget_Timeslider::set_time_adjustment().

void Dock_Curves::refresh_selected_param | ( |  | ) | `[protected]`

The documentation for this class was generated from the following files:

- dock_curves.h
- dock_curves.cpp